/*
 * Filename: dip_config.h
 *
 * (C) Copyright 1995-1997               Pattern Recognition Group
 *     All rights reserved               Faculty of Applied Physics
 *                                       Delft University of Technology
 *                                       Lorentzweg 1
 *                                       2628 CJ Delft
 *                                       The Netherlands
 *
 * Contact: Dr. ir. Lucas J. van Vliet
 * email : lucas@ph.tn.tudelft.nl
 *
 *
 */

#ifndef DIP_CONFIG_H
#define DIP_CONFIG_H

#ifdef DIP_OS_SUNOS
#include "dip_config_sunos.h"
#endif

#ifdef DIP_OS_SOLARIS
#include "dip_config_solaris.h"
#endif

#ifdef DIP_OS_IRIX
#include "dip_config_irix.h"
#endif

#ifdef DIP_OS_LINUX
#include "dip_config_linux.h"
#endif

#ifdef DIP_OS_HPUX
#include "dip_config_hpux.h"
#endif

#endif
