/*
 * Filename: dipio.h
 *
 * (C) Copyright 2000                    Pattern Recognition Group
 *     All rights reserved               Faculty of Applied Physics
 *                                       Delft University of Technology
 *                                       Lorentzweg 1
 *                                       2628 CJ Delft
 *                                       The Netherlands
 *
 * Contact: Dr. ir. Lucas J. van Vliet
 * email : lucas@ph.tn.tudelft.nl
 *
 */

#ifndef DIPIO_H
#define DIPIO_H
#ifdef __cplusplus
extern "C" {
#endif

#include "diplib.h"
#include "dipio_portability.h"

#include "dipio_image.h"
#include "dipio_measurement.h"

#define DIPIO_VERSION_NUMBER DIP_VERSION_NUMBER
#define DIPIO_VERSION_DATE __DATE__
#ifdef DEBUG
#define DIPIO_VERSION_TYPE "Debug"
#else
#define DIPIO_VERSION_TYPE "Release"
#endif
#define DIPIO_COPYRIGHT 1999-2004

#ifdef __cplusplus
}
#endif
#endif /* DIPIO_H */
