%UPLUS   Overloaded operator for +a.

% (C) Copyright 1999-2002               Pattern Recognition Group
%     All rights reserved               Faculty of Applied Physics
%                                       Delft University of Technology
%                                       Lorentzweg 1
%                                       2628 CJ Delft
%                                       The Netherlands
%
% Cris Luengo, April 2000.
% 30 June 2000: Completely revamped! Doesn't do anything anymore!
% 12 October 2000: Completely revamped again! If input is binary, output will
%                  be uint8 (removes logicalness).
% 15 November 2002: Fixed binary images to work in MATLAB 6.5 (R13)

function out = uplus(in)
if prod(builtin('size',in)) ~= 1, error('Parameter 1 is an array of images.'); end
out = in;
if strcmp(out.dip_type,'bin')
   out.dip_type = 'uint8';
end

% Previous Version (b):
%out = in;

% Previous Version (a):
%try
%   out = compute1('uplus',in);
%catch
%   error(di_firsterr)
%end
