%P = GETIMAGEFILEPATH
%    Gets and converts the 'imagefilepath' into a cell array.

% (C) Copyright 1999-2000               Pattern Recognition Group
%     All rights reserved               Faculty of Applied Physics
%                                       Delft University of Technology
%                                       Lorentzweg 1
%                                       2628 CJ Delft
%                                       The Netherlands
%
% Cris Luengo, March 2001.

function out = getimagefilepath
p = dipgetpref('imagefilepath');
out = cell(0);
ii = 1;
if strcmp(computer,'PCWIN')
   sep = ';';
else
   sep = ':';
end
while ~isempty(p)
   I = find(p==sep);
   if isempty(I)
      out{ii} = p;
      return;
   else
      out{ii} = p(1:I-1);
      p = p(I+1:end);
      ii = ii+1;
   end
end
