%CONJ   Complex conjugate.
%   CONJ(B) returns the complex conjugate of each pixel in B.

% (C) Copyright 1999-2000               Pattern Recognition Group
%     All rights reserved               Faculty of Applied Physics
%                                       Delft University of Technology
%                                       Lorentzweg 1
%                                       2628 CJ Delft
%                                       The Netherlands
%
% Cris Luengo, May 2000.

function out = conj(in)
if prod(builtin('size',in)) ~= 1, error('Parameter 1 is an array of images.'); end
if strcmp(in.dip_type(2:end),'complex')
   out = compute1('conj',in.data,in.dims,in.dip_type);
else % do nothing!
   out = in;
end
