%UINT16   Convert dip_image object to uint16 matrix.
%   A = UINT16(B) converts the dip_image B to a 16-bit, unsigned integer,
%   n-dimensional matrix.

% (C) Copyright 1999-2000               Pattern Recognition Group
%     All rights reserved               Faculty of Applied Physics
%                                       Delft University of Technology
%                                       Lorentzweg 1
%                                       2628 CJ Delft
%                                       The Netherlands
%
% Cris Luengo, November 2000.

function out = uint16(in)
if prod(builtin('size',in)) ~= 1, error('Parameter "in" is an array of images.'); end
out = uint16(in.data);
