%DIPINIT   Initialize the working environment
%   DIPINIT is called by DIPIMAGE when starting up. It initializes
%   the working environment. Since it is a script, it is possible
%   to initialize variables too.
%   Note that you can also call this script yourself, to re-set the
%   windows to their initial location.
%
%   The commands herein are only an example. You can copy this file
%   to your local directory (make sure it sits before the DIPimage
%   toolbox directory on your path), and edit it to your liking.


% (C) Copyright 1999-2001               Pattern Recognition Group
%     All rights reserved               Faculty of Applied Physics
%                                       Delft University of Technology
%                                       Lorentzweg 1
%                                       2628 CJ Delft
%                                       The Netherlands
%
% Many people, April 2000 - October 2001.

dipfig -unlink

ws = [dipgetpref('DefaultFigureWidth'),dipgetpref('DefaultFigureHeight')];
sp = ws+[8,45];
ss = get(0,'ScreenSize'); ss = ss(3:4);
ss = ss-sp;
if ss(2) < 2*sp(2)
   sp(2) = ss(2)/2;
end
dipfig(10,'a',    [ss-sp.*[1,0],ws]);
dipfig(11,'b',    [ss-sp.*[0,0],ws]);
dipfig(12,'c',    [ss-sp.*[1,1],ws]);
dipfig(13,'d',    [ss-sp.*[0,1],ws]);
dipfig(14,'ans',  [ss-sp.*[1,2],ws]);
dipfig(15,'other',[ss-sp.*[0,2],ws]);
clear ws sp ss
